Skip to main content

Get Customers

Endpoint for getting all Customers.

info

Please be aware that this endpoint requires a Manage Customers API Key.

GET /api/v1/groups/{group_id}/revere_pay/{linked_account_id}/customers/reporting

Query Parameters​

NameDescriptionType
limitOptional parameter to limit the number of results in the queryuint64
offsetThe number of items to skip before starting to collect the result set.uint64
nameName of the Customerstring
emailEmail of the Customerstring
first_nameFirst Name of the Customerstring
last_nameLast Name of the Customerstring
first_sixCard BIN attached to the Customerstring
last_fourLast four digits of the Card Number attached to the Customerstring

Response​

CodeDescription
200Success
500Internal Error

Example Usage​

getAll.js
var headers = new Headers();
headers.append('Authorization', 'API_KEY');

var requestOptions = {
method: 'GET',
headers: headers,
redirect: 'follow'
};
const group_id = '';
const linked_account_id = '';
const url = `https://api.reverepayments.dev/api/v1/groups/${group_id}/revere_pay/${linked_account_id}/customers/reporting?limit=10&offset=0`;
fetch(url, requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response​

{
"data": {
"items": [
{
"id": "25f8fa96-5c96-4448-994c-c2b7281ed263",
"group_id": "9be095b0-4d8e-47a7-b44b-667e4e92b86c",
"first_name": "John",
"last_name": "Doe",
"email": "johndoe@reverepayments.com",
"cards": [
{
"card_id": "7aef4024-045b-4901-a5cc-b9a54ea19bb1",
"first_six": "411111",
"last_four": "1111",
"expiration": "11/26",
"brand": "Visa",
"card_type": "debit",
"card_category": "PERSONAL",
"holder_name": "John Doe",
"billing_address": {
"line_1": "742 Evergreen Terrace",
"line_2": "Apt 5B",
"city": "Springfield",
"subdivision": "IL",
"postal_code": "62704",
"country": "US"
},
"issuer": "Visa Sandbox",
"issuer_country": "US",
"regulated": true,
"commercial": false,
"card_on_file": true,
"created_at": "2025-07-21T12:43:14.964535Z",
"updated_at": "2025-07-21T12:43:14.964535Z"
}
],
"created_at": "2025-07-21T12:43:14.834027Z",
"updated_at": "2025-07-21T12:43:14.834028Z"
}
],
"total_count": 1
}
}